# Amuse: amuse::BooBackendSubmix Class Reference

amuse::BooBackendSubmix Class Reference

`#include <BooBackend.hpp>`

Inheritance diagram for amuse::BooBackendSubmix:
Collaboration diagram for amuse::BooBackendSubmix:

## Public Member Functions

| BooBackendSubmix (boo::IAudioVoiceEngine &engine, Submix &clientSmx)
| BooBackendSubmix (boo::IAudioSubmix &parent, Submix &clientSmx)
void | setChannelGains (const float gains[8])
std::unique_ptr< IBackendVoice > | allocateVoice (Voice &clientVox, double sampleRate, bool dynamicPitch)
double | getSampleRate () const
SubmixFormat | getSampleFormat () const

## Friends

class | BooBackendVoiceAllocator

## Detailed Description

Backend submix implementation for boo mixer

Definition at line 38 of file BooBackend.hpp.

## Member Function Documentation

std::unique_ptr<IBackendVoice> amuse::BooBackendSubmix::allocateVoice | ( | Voice & | clientVox,
|  | double | sampleRate,
|  | bool | dynamicPitch
| ) |  |

virtual

Amuse obtains a new voice from the platform outputting to this submix

Implements amuse::IBackendSubmix.

SubmixFormat amuse::BooBackendSubmix::getSampleFormat | ( |  | ) | const

virtual

Amuse gets fixed sample format of submix this way

Implements amuse::IBackendSubmix.

double amuse::BooBackendSubmix::getSampleRate | ( |  | ) | const

virtual

Amuse gets fixed sample rate of submix this way

Implements amuse::IBackendSubmix.

void amuse::BooBackendSubmix::setChannelGains | ( | const float | gains[8] | ) |

virtual

Set channel-gains for submix (AudioChannel enum for array index)

Implements amuse::IBackendSubmix.

The documentation for this class was generated from the following file:

- include/amuse/BooBackend.hpp